%global enable_tests 1

Name:           nodejs-mbtiles
Version:        0.2.8
Release:        3%{?dist}
Summary:        Utilities and tilelive integration for the MBTiles format

License:        BSD
URL:            https://github.com/mapbox/node-mbtiles
Source0:        http://registry.npmjs.org/mbtiles/-/mbtiles-%{version}.tgz
# Offered upstream - https://github.com/mapbox/node-mbtiles/pull/25
Patch0:         nodejs-mbtiles-underscore.patch
# Offered upstream - https://github.com/mapbox/node-mbtiles/pull/26
Patch1:         nodejs-mbtiles-unlink.patch
# Offered upstream - https://github.com/mapbox/node-mbtiles/pull/27
Patch2:         nodejs-mbtiles-manpages.patch
# Offered upstream - https://github.com/mapbox/node-mbtiles/pull/29
Patch3:         nodejs-mbtiles-optimist.patch
BuildArch:      noarch

BuildRequires:  nodejs-devel

%if 0%{?enable_tests}
BuildRequires:  npm(expresso)
BuildRequires:  npm(sphericalmercator)
BuildRequires:  npm(sqlite3)
BuildRequires:  npm(step)
BuildRequires:  npm(underscore)
%endif

%description
%summary


%prep
%setup -q -n package
%patch0 -p1 -b .underscore
%patch1 -p1 -b .unlink
%patch2 -p1 -b .manpages
%patch3 -p1 -b .optimist
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{_datadir}/%{name}
cp -pr lib/schema.sql %{buildroot}/%{_datadir}/%{name}
mkdir -p %{buildroot}/%{nodejs_sitelib}/mbtiles
cp -pr package.json bin %{buildroot}/%{nodejs_sitelib}/mbtiles
mkdir -p %{buildroot}/%{nodejs_sitelib}/mbtiles/lib
cp -pr lib/*.js %{buildroot}/%{nodejs_sitelib}/mbtiles/lib
ln -s %{_datadir}/%{name}/schema.sql  %{buildroot}/%{nodejs_sitelib}/mbtiles/lib
mkdir -p %{buildroot}/%{_bindir}
ln -s %{nodejs_sitelib}/mbtiles/bin/mbcheck %{buildroot}/%{_bindir}
ln -s %{nodejs_sitelib}/mbtiles/bin/mbcompact %{buildroot}/%{_bindir}
ln -s %{nodejs_sitelib}/mbtiles/bin/mbpipe %{buildroot}/%{_bindir}
ln -s %{nodejs_sitelib}/mbtiles/bin/mbrekey %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1
cp -pr man/mb*.1 %{buildroot}/%{_mandir}/man1
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
ln -s %{nodejs_sitelib} .
%{nodejs_sitelib}/expresso/bin/expresso
%endif


%files
%doc LICENSE README.md CHANGELOG.md
%{nodejs_sitelib}/mbtiles
%{_datadir}/%{name}
%{_bindir}/mb*
%{_mandir}/man1/mb*.1.gz


%changelog
* Tue Apr 16 2013 Tom Hughes <tom@compton.nu> - 0.2.8-3
- Rebuild against nodejs-optimist 0.4.0
- Enable tests

* Tue Mar 19 2013 Tom Hughes <tom@compton.nu> - 0.2.8-2
- Avoid deleting schema.sql in %%install
- Add manual pages

* Sun Feb 10 2013 Tom Hughes <tom@compton.nu> - 0.2.8-1
- Initial build of 0.2.8
